#include "common.h"
#include <math.h>
#include <stdio.h>
#include <stdlib.h>
#include <stdint.h>
#include <string.h>

#ifdef __cplusplus
extern "C" {
#endif

int
LLVMFuzzerTestOneInput(const uint8_t *data, size_t size) {
    size_t i = 0;

    char string_eq_const_0_0[6] = { 0 };
    char string_eq_const_1_0[6] = { 0 };
    char string_eq_const_2_0[5] = { 0 };
    char string_eq_const_3_0[6] = { 0 };

    if (size < 19)
        return TEPHRA_EXIT_FAILURE;


    memcpy(&string_eq_const_0_0, &data[i], 5);
    i += 5;
    memcpy(&string_eq_const_1_0, &data[i], 5);
    i += 5;
    memcpy(&string_eq_const_2_0, &data[i], 4);
    i += 4;
    memcpy(&string_eq_const_3_0, &data[i], 5);
    i += 5;


    if (strcmp(string_eq_const_0_0, "bT+Wu") == 0)
    if (strcmp(string_eq_const_1_0, "Dvo9{") == 0)
    if (strcmp(string_eq_const_2_0, "V9n_") == 0)
    if (strcmp(string_eq_const_3_0, "NBfq@") == 0)
        BOOM();

    return TEPHRA_EXIT_SUCCESS;
}

#ifdef __cplusplus
}
#endif
